/* Hero Section */
.hero-section {
  height: 100vh;
  display: flex;
  align-items: center;
  position: relative;
  color: white;
  overflow: hidden;
  padding: 8%;
}

.hero-section::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("../images/aerial-view-third-mainland-bridge-lagos-city-shutterstock.webp")
    no-repeat center center/cover;
  transform: scaleX(-1);
  z-index: -1;
}

.hero-section::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: -1;
}

.hero-content {
  position: relative;
  z-index: 2;
  max-width: 600px;
}

/* main heading */
.hero-title {
  font-size: 55px;
  font-weight: 700;
  line-height: 1;
}
.gold {
  color: rgba(212, 175, 110, 1);
}

.hero-text {
  font-size: 1rem;
  opacity: 0.9;
  margin-top: 15px;
}

/* buttons */
.btn-primary-custom {
  background: rgba(212, 175, 110, 1);
  color: white;
  border: none;
  padding: 12px 30px;
  border-radius: 50px;
  font-weight: 400;
}
.btn-outline-custom {
  background: transparent;
  color: white;
  border: 1px solid rgba(212, 175, 110, 1);
  padding: 12px 30px;
  border-radius: 50px;
  font-weight: 400;
}
.btn-outline-custom:hover {
  background: rgba(212, 175, 110, 1);
  color: white;
  border: none;
}

/* Introduction */
.intro {
  padding-right: 20%;
}

/* Core services */
.services {
  background-color: rgba(3, 16, 34, 1);
  color: white;
}
.card {
  background-color: transparent;
  color: white;
}
.stats > div {
  position: relative;
}

.stats > div:not(:last-child)::after {
  content: "";
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 1px;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.2);
}

/* investment sectors */
.investment-sectors {
  background-color: lightgray;
}
.section-header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 30px;
  margin-bottom: 30px;
}

.header-content {
  max-width: 600px;
}

.badge-btn {
  border: none;
  background: #ffffff;
  padding: 10px 18px;
  border-radius: 50px;
  display: inline-flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 20px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.08);
}

.badge-btn img {
  width: 18px;
  height: 18px;
}

.section-title {
  font-size: 3rem;
  font-weight: 700;
  line-height: 1.2;
  margin-bottom: 15px;
}

.carousel-buttons {
  display: flex;
  gap: 12px;
  flex-shrink: 0;
}

.custom-btn {
  width: 30px;
  height: 30px;
  border: none;
  border-radius: 50%;
  background: rgba(3, 16, 34, 1);
  color: #fff;
  font-size: 16px;
  transition: 0.3s;
}
.custom-outline-btn {
  background: rgba(3, 16, 34, 0.5);
}

.custom-btn:hover {
  background: rgba(3, 16, 34, 1);
}

/* CARDS */
.carousel-wrapper {
  overflow: hidden;
  width: 100%;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease;
}
.team-card,
.team-card1 {
  position: relative;
  overflow: hidden;
  border-radius: 15px;
  cursor: pointer;
  margin: 10px;
  color: black;
}

.team-card img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  transition: 0.5s;
}

.team-card:hover img {
  transform: scale(1.05);
}

/* our approach */
.team-card1 {
  background: rgba(3, 16, 34, 1);
}
.team-card1 .card-body {
  background: white;
}

/* Media Query */
@media (max-width: 767px) {
  .stats > div::after {
    display: none;
  }
}

@media (min-width: 992px) {
  .team-card {
    min-width: 31.5%; /* 4 cards */
  }
  .team-card1 {
    min-width: 47%; /* 2 cards */
  }
}

@media (max-width: 991px) {
  .team-card {
    min-width: 95%; /* 1 card */
  }
  .team-card1 {
    min-width: 95%; /* 1 card */
  }
}

@media (max-width: 991px) {
  .hero-section {
    padding: 5%;
  }

  .hero-title, .section-title {
    font-size: 40px;
  }
  .hero-text {
    font-size: 14px;
  }

  .intro {
    padding-right: 0;
  }
  .btn-primary-custom,
  .btn-outline-custom {
    padding: 10px 20px;
    font-size: 14px;
  }
  .intro {
    padding-right: 0;
  }
  .intro h1 {
    font-size: 28px;
  }
}
